\chapter{Structure of the report}
Before starting with this report, I will give a short
introduction to the structure of the report. Furthermore i will
briefly describe the contents of each chapter as a general
guideline.

Finally I present a few important notices.

\section{The chapters}
\begin{description}
\item[Modular robots:] I start out with a short introduction to
  the field of modular robotics and the communication. I also
  present the initial ideas for global and hybrid communication.

\item[Communication design:] In order to understand how the
  algorithms are built, I start out by introducing a terminology
  that I in later chapters use as a basis.

  Additionally I also present some basic algorithms like
  randomization that is implicitly vital for many algorithms.

\item[Datalink:] I will start by describing the communication
  from below. This layer focuses on the communication between
  the directly attached link modules, working towards safe
  communication. In this chapter I consider also how we can work
  with collision detection.

\item[High level communication:] The higher level communication
  of the modules reflects the connections across several
  modules. At this level the ideas proposed by
  \cite{hybrid_communication} are studied and described as
  formal algorithms.

\item[Future work and conclusion:] Much of the work which I have
  done in this first part of the thesis, has revealed many
  interesting areas. I debate some of these ideas in this
  section and hope to bring inspiration to some future work
  which i myself can continue with, but also others that may
  find interest in this area.

  Finally i summarize and conclude on the present state of the
  thesis.
\end{description}

\section{Notice before continuing}
What currently is \emph{not} included in this report, is any
output of the tests i have performed. The reason for this is
mainly that the output is a long line of data that is not easy
to reduce.

Secondly i have not yet implemented any of the algorithms on any
of the physical modules - so there is no verification (yet) that
the algorithms will perform as expected.

These two things are of course the next thing on this thesis
agenda which i elaborate later in the last chapter.
